サポート対象のフレームワーク

ここでは New Relic の Ruby エージェントがサポートしているバージョンとフレームワークの公式リストを示します。

Ruby バージョン

名前サポート対象非推奨実験

JRuby ~> 1.6.0, ~> 1.7.0
MRI 1.8.7, 1.9.2, 1.9.3, 2.0.0, ~> 2.1.0, ~> 2.2.0 1.8.6
1.8.7 は、Ruby Enterprise Edition (REE) のサポートを含む1.8.6 の最後のサポートエージェントは 3.6.8.168 です
Rubinius ~> 2.2.1

Web サーバー

名前サポート対象非推奨実験

passenger ~>2.2, ~>3.0, ~>4.0
puma ~>2.0 ~>1.0
rainbows! 4.5.0
thin ~>1.0
unicorn ~>4.0 ~>1.0, ~>2.0, ~>3.0
webrick
エージェントがサポートしている全 Rubyのバージョンをサポートします。

Web フレームワーク

詳しくは、フレームワークをご覧ください。

名前サポート対象非推奨実験

grape >= 0.2.0
padrino ~>0.10
rack >= 1.1.0 ~>1.0.0
rails ~>2.1.0, ~>2.2.0, ~>2.3.0, ~3.0.0, ~>3.1.0, ~>3.2.0, ~>4.0.0, ~>4.1.0, ~>4.2.0 ~>2.0.0
2.0.x をサポートする最後エージェントは、3.6.8.168 です。
sinatra ~>1.2.0, ~>1.3.0, ~>1.4.0

データベース

名前サポート対象非推奨実験

activerecord ~>2.1.0, ~>2.2.0, ~>2.3.0, ~3.0.0, ~>3.1.0, ~>3.2.0, ~>4.0.0 ~>2.0.0
2.0.x をサポートする最後エージェントは、3.6.8.168 です。
datamapper ~>1.0
mongo ~>1.8.0, ~>1.9.0, ~>1.10.0
sequel ~>3.37, ~>4.0

バックグラウンドジョブ

名前サポート対象非推奨実験

delayed_job ~>2.0, ~>3.0, ~>4.0
resque ~>1.23.0 ~>1.22.0 >= 2.0
sidekiq ~>2.8

HTTP クライアント

名前サポート対象非推奨実験

Net::HTTP
すべてのエージェントがサポートしている Ruby のバージョンは、サポート対象です。詳しくは、Ruby がトレースする HTTP クライアントをご覧ください。
curb >= 0.8.1
excon >= 0.10.1
httpclient >= 2.2.0
typhoeus >= 0.5.3

その他

名前サポート対象非推奨実験

activemerchant >= 1.25.0
acts_as_solr
authlogic
dalli
memcache-client
sunspot

さらに詳しい情報

追加のドキュメントリソースは次のとおりです。